RHEL 2.1 / 3 / 4 : ethereal (RHSA-2005:427)

This script is Copyright (C) 2005-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

Updated Ethereal packages that fix various security vulnerabilities
are now available.

This update has been rated as having moderate security impact by the
Red Hat Security Response Team.

The ethereal package is a program for monitoring network traffic.

A number of security flaws have been discovered in Ethereal. On a
system where Ethereal is running, a remote attacker could send
malicious packets to trigger these flaws and cause Ethereal to crash
or potentially execute arbitrary code. The Common Vulnerabilities and
Exposures project (cve.mitre.org) has assigned the names
CVE-2005-1456, CVE-2005-1457, CVE-2005-1458, CVE-2005-1459,
CVE-2005-1460, CVE-2005-1461, CVE-2005-1462, CVE-2005-1463,
CVE-2005-1464, CVE-2005-1465, CVE-2005-1466, CVE-2005-1467,
CVE-2005-1468, CVE-2005-1469, and CVE-2005-1470 to these issues.

Users of ethereal should upgrade to these updated packages, which
contain version 0.10.11 which is not vulnerable to these issues.

See also :

https://www.redhat.com/security/data/cve/CVE-2005-1456.html
https://www.redhat.com/security/data/cve/CVE-2005-1457.html
https://www.redhat.com/security/data/cve/CVE-2005-1458.html
https://www.redhat.com/security/data/cve/CVE-2005-1459.html
https://www.redhat.com/security/data/cve/CVE-2005-1460.html
https://www.redhat.com/security/data/cve/CVE-2005-1461.html
https://www.redhat.com/security/data/cve/CVE-2005-1462.html
https://www.redhat.com/security/data/cve/CVE-2005-1463.html
https://www.redhat.com/security/data/cve/CVE-2005-1464.html
https://www.redhat.com/security/data/cve/CVE-2005-1465.html
https://www.redhat.com/security/data/cve/CVE-2005-1466.html
https://www.redhat.com/security/data/cve/CVE-2005-1467.html
https://www.redhat.com/security/data/cve/CVE-2005-1468.html
https://www.redhat.com/security/data/cve/CVE-2005-1469.html
https://www.redhat.com/security/data/cve/CVE-2005-1470.html
http://ethereal.archive.sunet.se/appnotes/enpa-sa-00019.html
http://rhn.redhat.com/errata/RHSA-2005-427.html

Solution :

Update the affected ethereal and / or ethereal-gnome packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)